Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nautilus: Couldn't display obex:///
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
LukSoft
n00b
n00b


Joined: 13 Aug 2008
Posts: 8
Location: Czech republic

PostPosted: Wed Aug 13, 2008 8:34 am    Post subject: Nautilus: Couldn't display obex:/// Reply with quote

Hi all, since last update, nautilus reports "Couldn't display obex://[my_phone_mac]/. Nautilus cannot handle obex: locations.". I have gnome-vfs-obexftp 0.4 installed. All my attempts to re-emerge nautilus and gnome-vfs-obexftp ended the same way.
Back to top
View user's profile Send private message
EvaSDK
Developer
Developer


Joined: 12 Jul 2003
Posts: 169
Location: France, Paris

PostPosted: Wed Aug 13, 2008 1:48 pm    Post subject: Reply with quote

you probably need bluetooth support in gvfs but this requires ~arch gvfs and bluetooth libs. This hasn't been made stable yet because the bluetooth stack update couldn't be made stable at the same time as gnome 2.22.
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Thu Aug 14, 2008 12:00 am    Post subject: Reply with quote

Maybe unrelated but since a couple days ago ~amd64 bluez updates my bluetooth in KDE 3.5 does not work either (via kdebluetooth). It can detect devices but no interaction with them. I'm trying to check my emerge log to see what previous version was so i can isolate it.
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Thu Aug 14, 2008 12:05 am    Post subject: Reply with quote

Downgrade from bluez-libs and bluez-utils 3.36 to 3.32 did not fix my problem, so maybe it was something else. I'll keep hunting. :)

NEVER MIND -- it was my phone's problem. Reboot of the phone and all services operate again. Weird. Had it for a year and this is the first time that has happened! Sorry and wish you luck on your problem :)
Back to top
View user's profile Send private message
LukSoft
n00b
n00b


Joined: 13 Aug 2008
Posts: 8
Location: Czech republic

PostPosted: Thu Aug 14, 2008 8:41 am    Post subject: Update Reply with quote

Well, I have this problem ever since the last big update (gnome, bluez, etc...)
Back to top
View user's profile Send private message
EvaSDK
Developer
Developer


Joined: 12 Jul 2003
Posts: 169
Location: France, Paris

PostPosted: Thu Aug 14, 2008 5:27 pm    Post subject: Reply with quote

you'll have to provide more informations for us to be able to help you. emerge --info, versions of relevant packages installed, ...
Back to top
View user's profile Send private message
LukSoft
n00b
n00b


Joined: 13 Aug 2008
Posts: 8
Location: Czech republic

PostPosted: Thu Aug 14, 2008 5:57 pm    Post subject: Reply with quote

Following complete output of # emerge --info gnome-vfs-obexftp
Portage 2.1.4.4 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 x86_64)
=================================================================
System Settings
=================================================================
System uname: 2.6.25-gentoo-r7 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-60
Timestamp of tree: Thu, 14 Aug 2008 11:03:01 +0000
app-shells/bash: 3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python: 2.4.4-r13, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox: 1.2.18.1-r2
sys-devel/autoconf: 2.13, 2.61-r2
sys-devel/automake: 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils: 2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool: 1.5.26
virtual/os-headers: 2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/splash /etc/terminfo /etc/udev/rules.d"
CPPFLAGS="-march=k8 -O2 -pipe"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.fi.muni.cz/pub/linux/gentoo/ ftp://ftp.fi.muni.cz/pub/linux/gentoo/ http://gentoo.mirror.web4u.cz/ ftp://gentoo.mirror.web4u.cz/ "
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="cs"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aalib acl acpi alsa amd64 apache2 aspell battery berkdb binary bluetooth bzip2 cairo cdaudio cdda cddb cdio cdparanoia cdr cdrom cli cpufreq cracklib crypt cups cvs dbus divx dri dvb dvd dvdr encode exif ffmpeg firefox flac flash fortran ftp fuse gd gdbm gdm gif gnome gnomecd gpm gstreamer gtk h323 hal httpd iconv id3tag imlib2 ipv6 irda isdnlog jack jpeg lame ldap lirc live lm_sensors mad matroska midi mikmod mmx mmxext mp2 mp3 mp4 mpeg mudflap multilib mysql mysqli nautilus ncurses network networkmanager nfs nls nptl nptlonly nsplugin nxclient obex ogg openmp opera pam pango pci pcmcia pcre perl php png pppd python quicktime rar readline reflection samba sdl sdl-image sdl-sound session smpeg sound sounds spl sse sse2 ssl stream synaptics sysfs t1lib tcpd test-programs theora tiff truetype unicode usb v4l v4l2 vcd video vorbis wav wma wxwindows x264 xml xorg xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset: CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

=================================================================
Package Settings
=================================================================
>>> Attempting to run pkg_info() for 'gnome-extra/gnome-vfs-obexftp-0.4'
* pkg_info() is not defined: 'gnome-vfs-obexftp-0.4.ebuild'


Installed:
* gnome-base/nautilus
Latest version available: 2.22.5.1
Latest version installed: 2.22.5.1
* gnome-extra/gnome-vfs-obexftp
Latest version available: 0.4
Latest version installed: 0.4
* gnome-base/gnome-vfs
Latest version available: 2.22.0
Latest version installed: 2.22.0
* sys-fs/obexfs
Latest version available: 0.10
Latest version installed: 0.10
* app-mobilephone/obex-data-server
Latest version available: 0.3.2
Latest version installed: 0.3.2
* app-mobilephone/obexftp
Latest version available: 0.21
Latest version installed: 0.21
* net-wireless/bluez-libs
Latest version available: 3.36
Latest version installed: 3.36
* net-wireless/bluez-utils
Latest version available: 3.36
Latest version installed: 3.36
* net-wireless/bluez-gnome
Latest version available: 0.28
Latest version installed: 0.28
Back to top
View user's profile Send private message
EvaSDK
Developer
Developer


Joined: 12 Jul 2003
Posts: 169
Location: France, Paris

PostPosted: Fri Aug 15, 2008 12:51 pm    Post subject: Reply with quote

I'll repeat myself because it seems the first time wasn't clear:

- you _need_ nautilus 2.22.5.1-r1
- you _need_ gvfs-0.2.5-r1

because bluetooth stack wasn't ready for stabilization when we asked for gnome 2.22 stabilization hence bluetooth browsing it not possible with current stable versions.
Back to top
View user's profile Send private message
LukSoft
n00b
n00b


Joined: 13 Aug 2008
Posts: 8
Location: Czech republic

PostPosted: Fri Aug 15, 2008 8:55 pm    Post subject: It worked Reply with quote

Thx. It worked. I've overlooked your message.
Back to top
View user's profile Send private message
fusero
n00b
n00b


Joined: 30 Nov 2008
Posts: 6

PostPosted: Sun Nov 30, 2008 8:56 pm    Post subject: Reply with quote

Hi

I am using:

gnome-base/nautilus-2.22.5.1-r1
gnome-base/gvfs-0.2.5-r3

but nautilus still claims that it cannot handle obex locations

any hint????
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4161
Location: Removed by Neddy

PostPosted: Sun Nov 30, 2008 11:26 pm    Post subject: Reply with quote

output of emerge gnome-vfs-obexftp -va
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
fusero
n00b
n00b


Joined: 30 Nov 2008
Posts: 6

PostPosted: Mon Dec 01, 2008 7:56 pm    Post subject: Reply with quote

# emerge gnome-vfs-obexftp -va

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] gnome-extra/gnome-vfs-obexftp-0.4 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum